# Uses of Class
javafx.beans.property.StringProperty

Packages that use StringProperty
Package
Description
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.beans.property.adapter
Provides various classes that act as adapters between a regular Java Bean property and a corresponding `JavaFX Property`.
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.print
Provides the public classes for the JavaFX Printing API.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.
javafx.scene.web
This package provides means for loading and displaying Web content.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of StringProperty in javafx.beans.property

Subclasses of StringProperty in javafx.beans.property
Modifier and Type
Class
Description
`class`
`ReadOnlyStringWrapper`
This class provides a convenient class to define read-only properties.
`class`
`SimpleStringProperty`
This class provides a full implementation of a `Property` wrapping a `String` value.
`class`
`StringPropertyBase`
The class `StringPropertyBase` is the base class for a property wrapping a `String` value.

## Uses of StringProperty in javafx.beans.property.adapter

Subclasses of StringProperty in javafx.beans.property.adapter
Modifier and Type
Class
Description
`final class`
`JavaBeanStringProperty`
A `JavaBeanStringProperty` provides an adapter between a regular Java Bean property of type `String` and a JavaFX `StringProperty`.

## Uses of StringProperty in javafx.css

Subclasses of StringProperty in javafx.css
Modifier and Type
Class
Description
`class`
`SimpleStyleableStringProperty`
This class extends `SimpleStringProperty` and provides a full implementation of a `StyleableProperty`.
`class`
`StyleableStringProperty`
This class extends `StringPropertyBase` and provides a partial implementation of a `StyleableProperty`.

## Uses of StringProperty in javafx.print

Methods in javafx.print that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
JobSettings.`jobNameProperty()`
`StringProperty` representing the name of a job.

## Uses of StringProperty in javafx.scene

Methods in javafx.scene that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
Node.`idProperty()`
The id of this `Node`.
`final StringProperty`
Node.`styleProperty()`
A string representation of the CSS style associated with this specific `Node`.

## Uses of StringProperty in javafx.scene.chart

Methods in javafx.scene.chart that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
PieChart.Data.`nameProperty()`
The name of the pie slice
`final StringProperty`
XYChart.Series.`nameProperty()`
The user displayable name for this series
`final StringProperty`
Chart.`titleProperty()`
The chart title

## Uses of StringProperty in javafx.scene.control

Methods in javafx.scene.control that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
ButtonBar.`buttonOrderProperty()`
The order for the typical buttons in a standard button bar.
`final StringProperty`
Dialog.`contentTextProperty()`
A property representing the content text for the dialog pane.
`final StringProperty`
DialogPane.`contentTextProperty()`
A property representing the content text for the dialog pane.
`final StringProperty`
Labeled.`ellipsisStringProperty()`
Specifies the string to display for the ellipsis when text is truncated.
`final StringProperty`
Dialog.`headerTextProperty()`
A property representing the header text for the dialog pane.
`final StringProperty`
DialogPane.`headerTextProperty()`
A property representing the header text for the dialog pane.
`final StringProperty`
MenuItem.`idProperty()`
The id of this MenuItem.
`final StringProperty`
PopupControl.`idProperty()`
The id of this `PopupControl`.
`final StringProperty`
Tab.`idProperty()`
The id of this tab.
`final StringProperty`
TableColumnBase.`idProperty()`
The id of this TableColumnBase.
`final StringProperty`
ComboBoxBase.`promptTextProperty()`
The `ComboBox` prompt text to display, or `null` if no prompt text is displayed.
`final StringProperty`
Spinner.`promptTextProperty()`
The prompt text to display in the `Spinner`, or `null` if no prompt text is displayed.
`final StringProperty`
TextInputControl.`promptTextProperty()`
The prompt text to display in the `TextInputControl`.
`final StringProperty`
MenuItem.`styleProperty()`
A string representation of the CSS style associated with this specific MenuItem.
`final StringProperty`
PopupControl.`styleProperty()`
`final StringProperty`
Tab.`styleProperty()`
The CSS style string associated to this tab.
`final StringProperty`
TableColumnBase.`styleProperty()`
A string representation of the CSS style associated with this TableColumnBase instance.
`final StringProperty`
Labeled.`textProperty()`
The text to display in the label.
`final StringProperty`
MenuItem.`textProperty()`
The text to display in the `MenuItem`.
`final StringProperty`
Tab.`textProperty()`
The text shown in the tab.
`final StringProperty`
TableColumnBase.`textProperty()`
This is the text to show in the header for this column.
`final StringProperty`
TextInputControl.`textProperty()`
The textual content of this TextInputControl.
`final StringProperty`
Tooltip.`textProperty()`
The text to display in the tooltip.
`final StringProperty`
Dialog.`titleProperty()`
Return the titleProperty of the dialog.

## Uses of StringProperty in javafx.scene.shape

Methods in javafx.scene.shape that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
SVGPath.`contentProperty()`
Defines the SVG Path encoded string as specified at: http://www.w3.org/TR/SVG/paths.html.

## Uses of StringProperty in javafx.scene.text

Methods in javafx.scene.text that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
Text.`textProperty()`
Defines text string that is to be displayed.

## Uses of StringProperty in javafx.scene.web

Methods in javafx.scene.web that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
WebEngine.`userAgentProperty()`
Specifies user agent ID string.
`final StringProperty`
WebEngine.`userStyleSheetLocationProperty()`
Location of the user stylesheet as a string URL.

## Uses of StringProperty in javafx.stage

Methods in javafx.stage that return StringProperty
Modifier and Type
Method
Description
`final StringProperty`
DirectoryChooser.`titleProperty()`
The title of the displayed dialog.
`final StringProperty`
FileChooser.`titleProperty()`
The title of the displayed file dialog.
`final StringProperty`
Stage.`titleProperty()`
Defines the title of the `Stage`.